using System.Collections.Generic;

using BS.Shared;

namespace BeWo.Data.Entities
{
	public class Medikamentenverordnungsliste : BeWoEntityBase
	{
		public static string PropertyName_Customer = "Customer";
		public static string PropertyName_Gueltig = "Gueltig";
		public static string PropertyName_Medikamentenverordnungen = "Medikamentenverordnungen";
		public static string PropertyName_Notice = "Notice";
		public static string PropertyName_MedListType = "MedListType";

		public Medikamentenverordnungsliste()
		{
			_Tid = TableID.Medikamentenverordnungsliste;
		}

		private Customer _Customer;
		public virtual Customer Customer
		{
			get { return _Customer; }
			set
			{
				if (AreDifferent(_Customer, value))
					_Customer = value;
			}
		}

		private bool _Gueltig;
		public virtual bool Gueltig
		{
			get { return _Gueltig; }
			set
			{
				if (AreDifferent(_Gueltig, value))
					_Gueltig = value;
			}
		}

		private bool _MedListType;
		public virtual bool MedListType
		{
			get { return _MedListType; }
			set
			{
				if (AreDifferent(_MedListType, value))
					_MedListType = value;
			}
		}

		private IList<Medikamentenverordnung> _Medikamentenverordnungen;
		public virtual IList<Medikamentenverordnung> Medikamentenverordnungen
		{
			get { return _Medikamentenverordnungen ?? (_Medikamentenverordnungen = new List<Medikamentenverordnung>()); }
			set
			{
				if (AreDifferent(_Medikamentenverordnungen, value))
					_Medikamentenverordnungen = value;
			}
		}

		private string _Notice;

		public virtual string Notice
		{
			get { return _Notice; }
			set
			{
				if (AreDifferent(_Notice, value))
					_Notice = value;
			}
		}
	}
}
